services:
  acevo:
    image: gitea.theminisip.ca/the_minisip/ac-evo-servermanager:latest
    container_name: acevo
    restart: unless-stopped

    env_file:
      - .env

    environment:
      ACEVO_GSLT: ${ACEVO_GSLT}

    volumes:
      - acevo_steam:/home/steam/.local/share/Steam
      - acevo_server:/home/steam/acevo-server
      - /mnt/POOL/apps/ac-evo-servermanager/license.json:/app/license.json

    ports:
      - "9800:9700/tcp"
      - "9800:9700/udp"
      - "8087:8080/tcp"

volumes:
  acevo_steam:
  acevo_server:
